Bug 193656 - Installer keymap selection not updated for vt(4) use
Summary: Installer keymap selection not updated for vt(4) use
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: 10.1-STABLE
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-bugs mailing list
URL:
Keywords: vt
Depends on:
Blocks:
 
Reported: 2014-09-15 13:54 UTC by Ed Maste
Modified: 2015-05-22 17:28 UTC (History)
0 users

See Also:


Attachments
keymap selection screen grab (8.81 KB, image/png)
2014-09-15 13:54 UTC, Ed Maste
no flags Details
QEMU screen grab of fixed installer menu (10.72 KB, image/png)
2015-05-22 17:26 UTC, Ed Maste
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2014-09-15 13:54:06 UTC
Created attachment 147345 [details]
keymap selection screen grab

UEFI booting the memstick image[1] automatically selects the vt(4) console and the efifb EFI framebuffer driver.  The installer's keymap selection offers the syscons(4) keymaps, not the vt(4) UTF-8 keymaps.

(Also there are two misformatted lines - e.g. "Dans ISO-8859-1 (macbook)" as in the screencap.)

[1] FreeBSD-10.1-BETA1-amd64-uefi-memstick.img
Comment 1 Marcus von Appen freebsd_committer freebsd_triage 2015-02-18 11:54:21 UTC
Updated 10.1-BETA and 10.1-RC versioned bugs to 10.1-STABLE.
Comment 2 Ed Maste freebsd_committer 2015-05-14 13:48:09 UTC
vt(4) support for kbdmap was added in r269976 and MFC'd to 10 in r270309.
There are some oustanding issues noted in this PR that still need to be addressed.
Comment 3 commit-hook freebsd_committer 2015-05-14 14:08:48 UTC
A commit references this bug:

Author: emaste
Date: Thu May 14 14:07:45 UTC 2015
New revision: 282902
URL: https://svnweb.freebsd.org/changeset/base/282902

Log:
  Correct language code -- "Danish" is English

  The menu entry "Danish ISO-8859-1 (macbook)" was first added to the
  syscons(4) INDEX.keymaps in r241851 with no language code, and then in
  r256367 incorrectly tagged with "da".  It is a Danish keyboard map, but
  the description is in English and therefore must be "en".

  This error subsequently propagated into the vt(4) INDEX.keymaps.

  PR:		146793, 193656
  MFC after:	1 week
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/share/syscons/keymaps/INDEX.keymaps
  head/share/vt/keymaps/INDEX.keymaps
Comment 4 commit-hook freebsd_committer 2015-05-14 14:21:50 UTC
A commit references this bug:

Author: emaste
Date: Thu May 14 14:20:51 UTC 2015
New revision: 282904
URL: https://svnweb.freebsd.org/changeset/base/282904

Log:
  kbdmap(1): increase description size to 256 bytes

  After conversion to UTF-8 some INDEX.keymaps descriptions are longer
  than the previous limit of 64 bytes.

  PR:		193656
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/usr.sbin/kbdmap/kbdmap.c
Comment 5 Ed Maste freebsd_committer 2015-05-14 20:49:22 UTC
This should now be fixed - I will confirm with the next available installer snapshot.
Comment 6 commit-hook freebsd_committer 2015-05-21 01:47:25 UTC
A commit references this bug:

Author: emaste
Date: Thu May 21 01:47:13 UTC 2015
New revision: 283164
URL: https://svnweb.freebsd.org/changeset/base/283164

Log:
  MFC INDEX.keymaps fixes

  r282898: Correct UTF-8 encoding in Brit?nico

    One ? was ISO 8859-1 0xE1 instead of UTF-8 0xC3 0xA1.

  r282902: Correct language code -- "Danish" is English

    The menu entry "Danish ISO-8859-1 (macbook)" was first added to the
    syscons(4) INDEX.keymaps in r241851 with no language code, and then in
    r256367 incorrectly tagged with "da".  It is a Danish keyboard map, but
    the description is in English and therefore must be "en".

    This error subsequently propagated into the vt(4) INDEX.keymaps.

  r282905: Restore 'he' language code for Hebrew kbdmap(1) menu title

  r282914: kbdmap(1): Correct menu title: keyboards have a layout, not a language

  PR:		146793, 193656

Changes:
_U  stable/10/
  stable/10/share/syscons/keymaps/INDEX.keymaps
  stable/10/share/vt/keymaps/INDEX.keymaps
Comment 7 commit-hook freebsd_committer 2015-05-21 01:50:27 UTC
A commit references this bug:

Author: emaste
Date: Thu May 21 01:50:07 UTC 2015
New revision: 283165
URL: https://svnweb.freebsd.org/changeset/base/283165

Log:
  MFC r282904: kbdmap(1): increase description size to 256 bytes

    After conversion to UTF-8 some INDEX.keymaps descriptions are longer
    than the previous limit of 64 bytes.

  PR:		193656

Changes:
_U  stable/10/
  stable/10/usr.sbin/kbdmap/kbdmap.c
Comment 8 Ed Maste freebsd_committer 2015-05-22 17:26:08 UTC
Created attachment 157046 [details]
QEMU screen grab of fixed installer menu
Comment 9 Ed Maste freebsd_committer 2015-05-22 17:28:52 UTC
Fixed with series of commits referenced above